"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isLambdaRuntimeEnvironment_1 = require("./isLambdaRuntimeEnvironment");
let environmentVariablesSet = false;
function setEnvironmentVariables() {
    if (environmentVariablesSet || !isLambdaRuntimeEnvironment_1.default()) {
        environmentVariablesSet = true;
        return;
    }
    if (process.env.FONTCONFIG_PATH === undefined) {
        process.env.FONTCONFIG_PATH = '/tmp/aws';
    }
    if (process.env.LD_LIBRARY_PATH === undefined) {
        process.env.LD_LIBRARY_PATH = '/tmp/aws/lib';
    }
    else if (process.env.LD_LIBRARY_PATH.startsWith('/tmp/aws/lib') !== true) {
        process.env.LD_LIBRARY_PATH = [
            ...new Set(['/tmp/aws/lib', ...process.env.LD_LIBRARY_PATH.split(':')]),
        ].join(':');
    }
    environmentVariablesSet = true;
}
exports.default = setEnvironmentVariables;
